fn comment<S, U: Parsable>() -> impl Parser<S, U, Ini> {
    move |state: S, input: U| {
        //  1         2                3
        //  ┃         ┃                ┃
        find_all((is(';'), take(0.., isnt("\n"))))
            .parse(state, input)
            .map_result(|(_, comment)| Ini::Comment(comment.into()))
    }
}
