fn document<S, U: Parsable>() -> impl Parser<S, U, Vec<Ini>> {
    move |state: S, input: U| {
        //          1         2
        //          ┃         ┠────────┬──────────┬────────────┐
        find_until(eoi(), find_any((section(), comment(), line_break())))
            .parse(state, input)
            .map_result(filter_items)
    }
}
