fn items<S, U: Parsable>() -> impl Parser<S, U, Vec<Ini>> {
    move |state: S, input: U| {
        //   1
        //   ┃
        find_until(
            find_any((eoi(), is('['))),                      // ━ 2
            find_any((property(), comment(), line_break())), // ━ 3
        )
        .parse(state, input)
    }
}
