fn property<I: Parsable>() -> impl Parser<I, Ini> {
    move |input: I| match separated(
        name(),                                    // ━ 1
        separator(),                               // ━ 2
        find(1.., find_any((value(), comment()))), // ━ 3
    ).parse(input)?
    {
        ((name, items), input) => Ok((Ini::Property(name.into(), filter_items(items)), input)),
    }
}