fn section<S, U: Parsable>() -> impl Parser<S, U, Ini> {
    move |state: S, input: U| {
        //            1                2                 3
        //            ┠────────┬───────╂────────┐        ┃
        find_all((delimited(is('['), name(), is(']')), items()))
            .parse(state, input)
            .map_result(|(name, items)| Ini::Section(name.into(), items))
    }
}
