fn line_break<S, U: Parsable>() -> impl Parser<S, U, Ini> {
    move |state: S, input: U| {
        is("\n")
            .parse(state, input)
            //           1         2
            //           ┃         ┃
            .map_result(|_| Ini::LineBreak)
    }
}
